export const nodes = [];
export const links = [];

const MAIN_NODE_SIZE = 10;
const CHILD_NODE_SIZE = 5;
const LEAF_NODE_SIZE = 3;
const DEFAULT_DISTANCE = 10;
const LEAF_NODE_DISTANCE = 100;
export const MANY_BODY_STRENGTH = -100;

const addMainNode = (node) => {
  node.size = MAIN_NODE_SIZE;
  nodes.push(node);
};

const addChildNode = (
  parentNode,
  childNode,
  size = CHILD_NODE_SIZE,
  distance = DEFAULT_DISTANCE
) => {
  childNode.size = size;
  nodes.push(childNode);
  links.push({ source: parentNode, target: childNode, distance });
};

const assembleChildNode = (parentNode, id) => {
  const childNode = { id };
  addChildNode(parentNode, childNode);

  for (let i = 0; i < 10; i++) {
    addChildNode(childNode, { id: '' }, LEAF_NODE_SIZE, LEAF_NODE_DISTANCE);
  }
};

const artsWeb = { id: 'Arts Web' };
addMainNode(artsWeb);
assembleChildNode(artsWeb, 'Community Vision');
assembleChildNode(artsWeb, 'Silicon Valley Creates');

const socialImpactCommons = { id: 'Social Impact Commons' };
addMainNode(socialImpactCommons);
assembleChildNode(socialImpactCommons, 'Theatre Bay Area');
assembleChildNode(socialImpactCommons, 'EastSide Arts Alliance');
assembleChildNode(socialImpactCommons, 'Local Color');


links.push({
  source: artsWeb,
  target: socialImpactCommons,
  distance: DEFAULT_DISTANCE,
});
